Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Interface AuditListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DefaultLogger, XMLLogger

public interface AuditListener
extends java.util.EventListener

Listener in charge of receiving events from the Checker. Typical events sequence is:

     auditStarted
       (fileStarted
         (addError)*
       fileFinished )*
     auditFinished

Author:
  Stephane Bailliez

Method Summary
`void` | `addError(AuditEvent aEvt)` Notify that an audit error was discovered on a specific file.
`void` | `addException(AuditEvent aEvt, java.lang.Throwable aThrowable)` Notify that an exception happened while performing audit.
`void` | `auditFinished(AuditEvent aEvt)` Notify that the audit is finished.
`void` | `auditStarted(AuditEvent aEvt)` Notify that the audit is about to start.
`void` | `fileFinished(AuditEvent aEvt)` Notify that audit is finished on a specific file.
`void` | `fileStarted(AuditEvent aEvt)` Notify that audit is about to start on a specific file.

Method Detail

### auditStarted

    public void auditStarted(AuditEvent aEvt)

  Notify that the audit is about to start.

  Parameters:
    `aEvt` - the event details

### auditFinished

    public void auditFinished(AuditEvent aEvt)

  Notify that the audit is finished.

  Parameters:
    `aEvt` - the event details

### fileStarted

    public void fileStarted(AuditEvent aEvt)

  Notify that audit is about to start on a specific file.

  Parameters:
    `aEvt` - the event details

### fileFinished

    public void fileFinished(AuditEvent aEvt)

  Notify that audit is finished on a specific file.

  Parameters:
    `aEvt` - the event details

### addError

    public void addError(AuditEvent aEvt)

  Notify that an audit error was discovered on a specific file.

  Parameters:
    `aEvt` - the event details

### addException

    public void addException(AuditEvent aEvt,
                             java.lang.Throwable aThrowable)

  Notify that an exception happened while performing audit.

  Parameters:
    `aEvt` - the event details
    `aThrowable` - details of the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD